%define ghc_ver %(ghc --numeric-version)
%define pkg_name enclosed-exceptions

Name:          ghc-enclosed-exceptions
Version:       1.0.3
Release:       1mamba
Summary:       GHC library: Catching all exceptions from within an enclosed computation
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://hackage.haskell.org/package/%{pkg_name}
Source:        http://hackage.haskell.org/package/enclosed-exceptions-%{version}/enclosed-exceptions-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-base-orphans-devel
BuildRequires: ghc-libs
BuildRequires: ghc-lifted-base-devel
BuildRequires: ghc-monad-control-devel
BuildRequires: ghc-transformers-base-devel
BuildRequires: ghc-transformers-compat-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
Requires:      ghc = %{ghc_ver}

%description
Catching all exceptions raised within an enclosed computation, while remaining responsive to (external) asynchronous exceptions.
For more information on the technique, please see: https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n enclosed-exceptions-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%changelog
* Sun Dec 03 2023 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Mon Apr 13 2015 Davide Madrisan <davide.madrisan@gmail.com> 1.0.1.1-1mamba
- package created by autospec
